Bug 1432312 - removing MATE Desktop would remove dnf and systemd
Summary: removing MATE Desktop would remove dnf and systemd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-15 05:03 UTC by cornel panceac
Modified: 2017-07-25 16:55 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-25 16:55:22 UTC


Attachments (Terms of Use)
groups json file (18.92 KB, text/plain)
2017-05-10 15:18 UTC, cornel panceac
no flags Details
mate group removal packages list (56.40 KB, text/plain)
2017-05-17 16:15 UTC, cornel panceac
no flags Details

Description cornel panceac 2017-03-15 05:03:29 UTC
Description of problem:
i can not remove mate desktop:

# dnf group remove MATE\ Desktop
Last metadata expiration check: 0:04:42 ago on Wed Mar 15 06:54:50 2017.
Dependencies resolved.
Error: The operation would result in removing the following protected packages: systemd, dnf, systemd-udev.
[root@localhost ~]# 


Version-Release number of selected component (if applicable):
# rpm -qa | grep comps
comps-extras-23-4.fc24.noarch
libcomps-0.1.7-5.fc25.x86_64
python3-libcomps-0.1.7-5.fc25.x86_64


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Björn 'besser82' Esser 2017-04-22 09:29:23 UTC
Changing component to mate-desktop, since this seems to be an issue with the settings in the comps-group and not in comps-extras, which just ships the icons for the groups.

Comment 2 Wolfgang Ulbrich 2017-04-23 20:54:24 UTC
(In reply to Björn "besser82" Esser from comment #1)
> Changing component to mate-desktop, since this seems to be an issue with the
> settings in the comps-group and not in comps-extras, which just ships the
> icons for the groups.

Is 'seems' an allowed value in a world of bits and bytes?
It seems that you never tried to duplicate this issue....., sigh.

Sorry there is no single package which will remove systemd, though.

[root@f25-origin rave]# dnf group remove "MATE Desktop"
Last metadata expiration check: 0:12:33 ago on Sat Apr 22 19:45:04 2017.
Dependencies resolved.
Error: The operation would result in removing the following protected packages: dnf, systemd, systemd-udev.

[root@f25-origin rave]# dnf remove mate-*
Dependencies resolved.
=============================================================================================================================================================================================================================================
 Package                                                                   Arch                                        Version                                                 Repository                                               Size
=============================================================================================================================================================================================================================================
Removing:
 atril                                                                     x86_64                                      1.16.1-2.fc25                                           @System                                                 4.2 M
 atril-caja                                                                x86_64                                      1.16.1-2.fc25                                           @System                                                  23 k
 caja                                                                      x86_64                                      1.16.2-1.fc25                                           @System                                                 3.8 M
 caja-actions                                                              x86_64                                      1.8.2-1.fc25                                            @System                                                 1.7 M
 caja-extensions                                                           x86_64                                      1.16.2-1.fc25                                           @System                                                  51 k
 caja-extensions-common                                                    noarch                                      1.16.0-1.fc25                                           @anaconda                                               521 k
 caja-image-converter                                                      x86_64                                      1.16.0-1.fc25                                           @anaconda                                                70 k
 caja-open-terminal                                                        x86_64                                      1.16.0-1.fc25                                           @anaconda                                                23 k
 caja-sendto                                                               x86_64                                      1.16.0-1.fc25                                           @anaconda                                               198 k
 caja-terminal                                                             x86_64                                      0.9.1-3.fc25                                            @System                                                 244 k
 caja-wallpaper                                                            x86_64                                      1.16.0-1.fc25                                           @anaconda                                                14 k
 engrampa                                                                  x86_64                                      1.16.0-1.fc25                                           @anaconda                                               5.8 M
 eom                                                                       x86_64                                      1.16.1-1.fc25                                           @System                                                 5.4 M
 exempi                                                                    x86_64                                      2.3.0-1.fc25                                            @anaconda                                               1.1 M
 fortune-mod                                                               x86_64                                      1.99.1-22.fc24                                          @anaconda                                               2.8 M
 gamin                                                                     x86_64                                      0.1.10-23.fc25                                          @anaconda                                               416 k
 gnome-keyring-pam                                                         x86_64                                      3.20.0-1.fc25                                           @anaconda                                                44 k
 gparted                                                                   x86_64                                      0.28.1-1.fc25                                           @System                                                 7.5 M
 gssdp                                                                     x86_64                                      1.0.1-1.fc25                                            @anaconda                                               120 k
 gtk-murrine-engine                                                        x86_64                                      0.98.2-10.fc25                                          @anaconda                                               400 k
 gtksourceview2                                                            x86_64                                      2.11.2-21.fc24                                          @anaconda                                               3.4 M
 gupnp                                                                     x86_64                                      1.0.1-1.fc25                                            @anaconda                                               278 k
 imsettings-mate                                                           x86_64                                      1.7.2-1.fc25                                            @System                                                 517 k
 initial-setup                                                             x86_64                                      0.3.43-1.fc25                                           @anaconda                                               170 k
 initial-setup-gui                                                         x86_64                                      0.3.43-1.fc25                                           @anaconda                                                15 k
 libgnome-keyring                                                          x86_64                                      3.12.0-7.fc25                                           @anaconda                                               297 k
 marco                                                                     x86_64                                      1.16.0-1.fc25                                           @anaconda                                               1.2 M
 mate-applets                                                              x86_64                                      1.16.0-1.fc25                                           @anaconda                                                16 M
 mate-backgrounds                                                          noarch                                      1.16.0-1.fc25                                           @anaconda                                                20 M
 mate-calc                                                                 x86_64                                      1.8.0-6.fc25                                            @anaconda                                               3.8 M
 mate-control-center                                                       x86_64                                      1.16.1-1.fc25                                           @System                                                 7.3 M
 mate-control-center-filesystem                                            x86_64                                      1.16.1-1.fc25                                           @System                                                   0  
 mate-desktop                                                              x86_64                                      1.16.1-3.fc25                                           @System                                                 184 k
 mate-desktop-libs                                                         x86_64                                      1.16.1-3.fc25                                           @System                                                 2.1 M
 mate-dictionary                                                           x86_64                                      1.16.0-1.fc25                                           @anaconda                                                12 M
 mate-disk-usage-analyzer                                                  x86_64                                      1.16.0-1.fc25                                           @anaconda                                                12 M
 mate-icon-theme                                                           noarch                                      1.16.0-1.fc25                                           @anaconda                                                17 M
 mate-media                                                                x86_64                                      1.16.0-1.fc25                                           @anaconda                                               1.3 M
 mate-menu                                                                 noarch                                      16.10.1-2.fc25                                          @System                                                 1.3 M
 mate-menus                                                                x86_64                                      1.16.0-1.fc25                                           @anaconda                                               503 k
 mate-menus-libs                                                           x86_64                                      1.16.0-1.fc25                                           @anaconda                                               118 k
 mate-menus-preferences-category-menu                                      x86_64                                      1.16.0-1.fc25                                           @anaconda                                               3.2 k
 mate-notification-daemon                                                  x86_64                                      1.16.1-1.fc25                                           @System                                                 424 k
 mate-panel                                                                x86_64                                      1.16.1-1.fc25                                           @System                                                 9.1 M
 mate-panel-libs                                                           x86_64                                      1.16.1-1.fc25                                           @System                                                  93 k
 mate-polkit                                                               x86_64                                      1.16.0-1.fc25                                           @anaconda                                               486 k
 mate-power-manager                                                        x86_64                                      1.16.2-1.fc25                                           @System                                                 7.4 M
 mate-screensaver                                                          x86_64                                      1.16.1-1.fc25                                           @System                                                 5.9 M
 mate-screenshot                                                           x86_64                                      1.16.0-1.fc25                                           @anaconda                                               120 k
 mate-search-tool                                                          x86_64                                      1.16.0-1.fc25                                           @anaconda                                                12 M
 mate-session-manager                                                      x86_64                                      1.16.1-1.fc25                                           @System                                                 1.4 M
 mate-settings-daemon                                                      x86_64                                      1.16.1-1.fc25                                           @System                                                 2.6 M
 mate-system-log                                                           x86_64                                      1.16.0-1.fc25                                           @anaconda                                                12 M
 mate-system-monitor                                                       x86_64                                      1.16.0-1.fc25                                           @anaconda                                               4.3 M
 mate-terminal                                                             x86_64                                      1.16.1-1.fc25                                           @fedora                                                 5.5 M
 mate-terminal-debuginfo                                                   x86_64                                      1.16.1-2.fc25                                           @updates-debuginfo                                      1.6 M
 mate-themes                                                               noarch                                      3.22.7-1.fc25                                           @System                                                  17 M
 mate-user-guide                                                           noarch                                      1.16.0-1.fc25                                           @anaconda                                                22 M
 mate-utils-common                                                         noarch                                      1.16.0-1.fc25                                           @anaconda                                                12 M
 mathjax                                                                   noarch                                      2.4.0-3.fc24                                            @anaconda                                                22 M
 mathjax-ams-fonts                                                         noarch                                      2.4.0-3.fc24                                            @anaconda                                               267 k
 mathjax-caligraphic-fonts                                                 noarch                                      2.4.0-3.fc24                                            @anaconda                                                98 k
 mathjax-fraktur-fonts                                                     noarch                                      2.4.0-3.fc24                                            @anaconda                                               225 k
 mathjax-main-fonts                                                        noarch                                      2.4.0-3.fc24                                            @anaconda                                               558 k
 mathjax-math-fonts                                                        noarch                                      2.4.0-3.fc24                                            @anaconda                                               348 k
 mathjax-sansserif-fonts                                                   noarch                                      2.4.0-3.fc24                                            @anaconda                                               240 k
 mathjax-script-fonts                                                      noarch                                      2.4.0-3.fc24                                            @anaconda                                                60 k
 mathjax-size1-fonts                                                       noarch                                      2.4.0-3.fc24                                            @anaconda                                                37 k
 mathjax-size2-fonts                                                       noarch                                      2.4.0-3.fc24                                            @anaconda                                                34 k
 mathjax-size3-fonts                                                       noarch                                      2.4.0-3.fc24                                            @anaconda                                                16 k
 mathjax-size4-fonts                                                       noarch                                      2.4.0-3.fc24                                            @anaconda                                                29 k
 mathjax-typewriter-fonts                                                  noarch                                      2.4.0-3.fc24                                            @anaconda                                               106 k
 mathjax-winchrome-fonts                                                   noarch                                      2.4.0-3.fc24                                            @anaconda                                               8.9 k
 mathjax-winie6-fonts                                                      noarch                                      2.4.0-3.fc24                                            @anaconda                                                56 k
 mozo                                                                      noarch                                      1.16.0-1.fc25                                           @anaconda                                               368 k
 pluma                                                                     x86_64                                      1.16.0-1.fc25                                           @anaconda                                               1.2 M
 pluma-data                                                                noarch                                      1.16.0-1.fc25                                           @anaconda                                                12 M
 pygtksourceview                                                           x86_64                                      2.10.1-13.fc25                                          @anaconda                                               195 k
 python-caja                                                               x86_64                                      1:1.16.0-1.fc25                                         @System                                                  90 k
 recode                                                                    x86_64                                      3.6-42.fc24                                             @anaconda                                               2.1 M
 redhat-menus                                                              noarch                                      12.0.2-10.fc24                                          @anaconda                                               675 k
 system-config-printer                                                     x86_64                                      1.5.7-10.fc25                                           @anaconda                                               1.1 M
 unique3                                                                   x86_64                                      3.0.2-11.fc24                                           @anaconda                                               168 k
 upower                                                                    x86_64                                      0.99.4-2.fc25                                           @anaconda                                               500 k
 xorg-x11-drv-synaptics                                                    x86_64                                      1.9.0-1.fc25                                            @updates                                                132 k

Transaction Summary
=============================================================================================================================================================================================================================================
Remove  85 Packages

Installed size: 291 M
Is this ok [y/N]: n
Operation aborted.


[root@f25-origin rave]# dnf remove libmate*
Dependencies resolved.
=============================================================================================================================================================================================================================================
 Package                                                           Arch                                              Version                                                      Repository                                            Size
=============================================================================================================================================================================================================================================
Removing:
 fortune-mod                                                       x86_64                                            1.99.1-22.fc24                                               @anaconda                                            2.8 M
 gnome-keyring-pam                                                 x86_64                                            3.20.0-1.fc25                                                @anaconda                                             44 k
 imsettings-mate                                                   x86_64                                            1.7.2-1.fc25                                                 @System                                              517 k
 libmatekbd                                                        x86_64                                            1.16.0-1.fc25                                                @anaconda                                            596 k
 libmatemixer                                                      x86_64                                            1.16.0-1.fc25                                                @anaconda                                            629 k
 libmateweather                                                    x86_64                                            1.16.1-1.fc25                                                @updates                                             174 k
 libmateweather-data                                               noarch                                            1.16.1-1.fc25                                                @updates                                              86 M
 mate-applets                                                      x86_64                                            1.16.0-1.fc25                                                @anaconda                                             16 M
 mate-control-center                                               x86_64                                            1.16.1-1.fc25                                                @System                                              7.3 M
 mate-desktop                                                      x86_64                                            1.16.1-3.fc25                                                @System                                              184 k
 mate-dictionary                                                   x86_64                                            1.16.0-1.fc25                                                @anaconda                                             12 M
 mate-media                                                        x86_64                                            1.16.0-1.fc25                                                @anaconda                                            1.3 M
 mate-menu                                                         noarch                                            16.10.1-2.fc25                                               @System                                              1.3 M
 mate-panel                                                        x86_64                                            1.16.1-1.fc25                                                @System                                              9.1 M
 mate-panel-libs                                                   x86_64                                            1.16.1-1.fc25                                                @System                                               93 k
 mate-power-manager                                                x86_64                                            1.16.2-1.fc25                                                @System                                              7.4 M
 mate-screensaver                                                  x86_64                                            1.16.1-1.fc25                                                @System                                              5.9 M
 mate-session-manager                                              x86_64                                            1.16.1-1.fc25                                                @System                                              1.4 M
 mate-settings-daemon                                              x86_64                                            1.16.1-1.fc25                                                @System                                              2.6 M
 mate-system-monitor                                               x86_64                                            1.16.0-1.fc25                                                @anaconda                                            4.3 M
 recode                                                            x86_64                                            3.6-42.fc24                                                  @anaconda                                            2.1 M
 upower                                                            x86_64                                            0.99.4-2.fc25                                                @anaconda                                            500 k
 xorg-x11-drv-synaptics                                            x86_64                                            1.9.0-1.fc25                                                 @updates                                             132 k

Transaction Summary
=============================================================================================================================================================================================================================================
Remove  23 Packages

Installed size: 163 M
Is this ok [y/N]: n
Operation aborted.


[root@f25-origin rave]# dnf remove caja*
Dependencies resolved.
=============================================================================================================================================================================================================================================
 Package                                                           Arch                                              Version                                                      Repository                                            Size
=============================================================================================================================================================================================================================================
Removing:
 atril-caja                                                        x86_64                                            1.16.1-2.fc25                                                @System                                               23 k
 caja                                                              x86_64                                            1.16.2-1.fc25                                                @System                                              3.8 M
 caja-actions                                                      x86_64                                            1.8.2-1.fc25                                                 @System                                              1.7 M
 caja-actions-doc                                                  noarch                                            1.8.2-1.fc25                                                 @System                                               11 M
 caja-extensions                                                   x86_64                                            1.16.2-1.fc25                                                @System                                               51 k
 caja-extensions-common                                            noarch                                            1.16.0-1.fc25                                                @anaconda                                            521 k
 caja-image-converter                                              x86_64                                            1.16.0-1.fc25                                                @anaconda                                             70 k
 caja-open-terminal                                                x86_64                                            1.16.0-1.fc25                                                @anaconda                                             23 k
 caja-schemas                                                      x86_64                                            1.16.2-1.fc25                                                @System                                               13 M
 caja-sendto                                                       x86_64                                            1.16.0-1.fc25                                                @anaconda                                            198 k
 caja-terminal                                                     x86_64                                            0.9.1-3.fc25                                                 @System                                              244 k
 caja-wallpaper                                                    x86_64                                            1.16.0-1.fc25                                                @anaconda                                             14 k
 engrampa                                                          x86_64                                            1.16.0-1.fc25                                                @anaconda                                            5.8 M
 fortune-mod                                                       x86_64                                            1.99.1-22.fc24                                               @anaconda                                            2.8 M
 gamin                                                             x86_64                                            0.1.10-23.fc25                                               @anaconda                                            416 k
 gssdp                                                             x86_64                                            1.0.1-1.fc25                                                 @anaconda                                            120 k
 gtksourceview2                                                    x86_64                                            2.11.2-21.fc24                                               @anaconda                                            3.4 M
 gupnp                                                             x86_64                                            1.0.1-1.fc25                                                 @anaconda                                            278 k
 mate-applets                                                      x86_64                                            1.16.0-1.fc25                                                @anaconda                                             16 M
 mate-desktop                                                      x86_64                                            1.16.1-3.fc25                                                @System                                              184 k
 mate-dictionary                                                   x86_64                                            1.16.0-1.fc25                                                @anaconda                                             12 M
 mate-menu                                                         noarch                                            16.10.1-2.fc25                                               @System                                              1.3 M
 mate-panel                                                        x86_64                                            1.16.1-1.fc25                                                @System                                              9.1 M
 mate-panel-libs                                                   x86_64                                            1.16.1-1.fc25                                                @System                                               93 k
 mate-power-manager                                                x86_64                                            1.16.2-1.fc25                                                @System                                              7.4 M
 mate-system-monitor                                               x86_64                                            1.16.0-1.fc25                                                @anaconda                                            4.3 M
 pluma                                                             x86_64                                            1.16.0-1.fc25                                                @anaconda                                            1.2 M
 pluma-data                                                        noarch                                            1.16.0-1.fc25                                                @anaconda                                             12 M
 pygtksourceview                                                   x86_64                                            2.10.1-13.fc25                                               @anaconda                                            195 k
 python-caja                                                       x86_64                                            1:1.16.0-1.fc25                                              @System                                               90 k
 recode                                                            x86_64                                            3.6-42.fc24                                                  @anaconda                                            2.1 M
 upower                                                            x86_64                                            0.99.4-2.fc25                                                @anaconda                                            500 k

Transaction Summary
=============================================================================================================================================================================================================================================
Remove  32 Packages

Installed size: 110 M
Is this ok [y/N]: n
Operation aborted.


[root@f25-origin rave]# dnf remove atril*
Dependencies resolved.
=============================================================================================================================================================================================================================================
 Package                                                              Arch                                              Version                                                   Repository                                            Size
=============================================================================================================================================================================================================================================
Removing:
 atril                                                                x86_64                                            1.16.1-2.fc25                                             @System                                              4.2 M
 atril-caja                                                           x86_64                                            1.16.1-2.fc25                                             @System                                               23 k
 atril-libs                                                           x86_64                                            1.16.1-2.fc25                                             @System                                              990 k
 djvulibre-libs                                                       x86_64                                            3.5.27-1.fc25                                             @anaconda                                            1.6 M
 libgxps                                                              x86_64                                            0.2.4-1.fc25                                              @anaconda                                            209 k
 mathjax                                                              noarch                                            2.4.0-3.fc24                                              @anaconda                                             22 M
 mathjax-ams-fonts                                                    noarch                                            2.4.0-3.fc24                                              @anaconda                                            267 k
 mathjax-caligraphic-fonts                                            noarch                                            2.4.0-3.fc24                                              @anaconda                                             98 k
 mathjax-fraktur-fonts                                                noarch                                            2.4.0-3.fc24                                              @anaconda                                            225 k
 mathjax-main-fonts                                                   noarch                                            2.4.0-3.fc24                                              @anaconda                                            558 k
 mathjax-math-fonts                                                   noarch                                            2.4.0-3.fc24                                              @anaconda                                            348 k
 mathjax-sansserif-fonts                                              noarch                                            2.4.0-3.fc24                                              @anaconda                                            240 k
 mathjax-script-fonts                                                 noarch                                            2.4.0-3.fc24                                              @anaconda                                             60 k
 mathjax-size1-fonts                                                  noarch                                            2.4.0-3.fc24                                              @anaconda                                             37 k
 mathjax-size2-fonts                                                  noarch                                            2.4.0-3.fc24                                              @anaconda                                             34 k
 mathjax-size3-fonts                                                  noarch                                            2.4.0-3.fc24                                              @anaconda                                             16 k
 mathjax-size4-fonts                                                  noarch                                            2.4.0-3.fc24                                              @anaconda                                             29 k
 mathjax-typewriter-fonts                                             noarch                                            2.4.0-3.fc24                                              @anaconda                                            106 k
 mathjax-winchrome-fonts                                              noarch                                            2.4.0-3.fc24                                              @anaconda                                            8.9 k
 mathjax-winie6-fonts                                                 noarch                                            2.4.0-3.fc24                                              @anaconda                                             56 k
 poppler-glib                                                         x86_64                                            0.45.0-2.fc25                                             @anaconda                                            424 k

Transaction Summary
=============================================================================================================================================================================================================================================
Remove  21 Packages

Installed size: 32 M
Is this ok [y/N]: q
Is this ok [y/N]: ^COperation aborted.


[root@f25-origin rave]# dnf remove eom*
Dependencies resolved.
=============================================================================================================================================================================================================================================
 Package                                              Arch                                                    Version                                                         Repository                                                Size
=============================================================================================================================================================================================================================================
Removing:
 eom                                                  x86_64                                                  1.16.1-1.fc25                                                   @System                                                  5.4 M

Transaction Summary
=============================================================================================================================================================================================================================================
Remove  1 Package

Installed size: 5.4 M
Is this ok [y/N]: n
Operation aborted.

Comment 3 Stephen Gallagher 2017-04-24 18:32:06 UTC
I suspect this is just one in a long line of bugs caused by DNF having a default setting in `/etc/dnf/dnf.conf` of `clean_requirements_on_remove=True`.

What I've seen is that if you try to `dnf remove` a package that you installed as part of the initial installation from anaconda, it will overzealously try to remove much of the remainder of that same package set.

Can you please confirm that if you set `clean_requirements_on_remove=True` in dnf.conf and try again it removes the appropriate set of packages? If so, let's reassign this to DNF.

Comment 4 cornel panceac 2017-04-24 19:03:52 UTC
if the line is set to true, the error is this:

Error: The operation would result in removing the following protected packages: systemd-udev, systemd, dnf.


if the line is set to false, the error is this:

Error: The operation would result in removing the following protected packages: dnf, systemd-udev, systemd.

so this is not fixing it.

Comment 5 Stephen Gallagher 2017-04-25 12:16:41 UTC
Reassigning to DNF. This isn't a comps problem, it's a dependency-solving issue.

Comment 6 Jaroslav Mracek 2017-05-04 17:47:31 UTC
I am really not sure what is the primary cause of the problem. Please do you have any other env group installed? If no please first install or mark as installed your primary environmental group and then remove MATE desktop (dnf group mark installed <env_group>). If it helps it was known issue of anaconda. If it doesn't help please provide a list of installed and available groups. Also the problem was possible solved in upstrem. The upstream version can be installed from our test repository ("dnf copr enable rpmsoftwaremanagement/dnf-nightly").

Comment 7 cornel panceac 2017-05-04 19:56:55 UTC
Installed environment groups:
   Fedora Workstation
   MATE Desktop

It has ben like this since i've installed f23 or earlier, long time ago.
And in these condition, the problem is present.

It's unclear to me if i still need to install dnf-nightly.

Comment 8 Jaroslav Mracek 2017-05-05 07:55:47 UTC
Thanks for the output. Please can you try to reproduce the problem with dnf-2.3 that can be installed from dnf-nightly repo, and report result? It is possible that your problem was already fixed, because handling of groups were changed between dnf1.1.x and dnf-2.x.Thanks a lot.

Comment 9 cornel panceac 2017-05-05 18:07:38 UTC
i can not install dnf from that repo. it has broken dependencies.

Comment 10 Jaroslav Mracek 2017-05-05 18:59:05 UTC
Please can you use --allowerasing. There is a conflict with anaconda (this is fedora installer and is not needed for run of the system). Hope that this is an issue.

Comment 11 cornel panceac 2017-05-06 20:13:43 UTC
After dnf upgrade to dnf-2.4.0_1-5g984388f.fc25.noarch:


$ dnf group remove MATE\ Desktop
Error: This command has to be run under the root user.
[cornel@localhost ~]$ sudo dnf group remove MATE\ Desktop
Error: package systemd-231-14.fc25.x86_64 requires dbus, but none of the providers can be installed
  - conflicting requests
  - problem with installed package systemd-231-14.fc25.x86_64

Comment 12 Jaroslav Mracek 2017-05-09 09:29:48 UTC
Please can you try one additional test:

``dnf group mark removed "Fedora Workstation"``

``dnf group install "Fedora Workstation"``

``dnf group removed "MATE Desktop"``

If this doesn't help I guest that problem is related to issue described in bug report https://bugzilla.redhat.com/show_bug.cgi?id=1398871 , where you remove package installed in group that is also used as dependency of some user installed package and it results in problem mentioned in Comment 11. 

Please can you provide a feedback?

Comment 13 cornel panceac 2017-05-09 19:59:11 UTC
The result is this:

# dnf group remove "MATE Desktop"
Error: package systemd-231-14.fc25.x86_64 requires dbus, but none of the providers can be installed
  - conflicting requests
  - problem with installed package systemd-231-14.fc25.x86_64

Comment 14 Jaroslav Mracek 2017-05-10 08:01:52 UTC
Please can you provide debug data (run - ``dnf --debugsolver group remove "MATE Desktop``), and please can you attach also /var/lib/dnf/groups.json file.

Thanks

Comment 15 cornel panceac 2017-05-10 15:17:51 UTC
$ sudo dnf --debugsolver group remove "MATE Desktop"
Error: package systemd-231-14.fc25.x86_64 requires dbus, but none of the providers can be installed
  - conflicting requests
  - problem with installed package systemd-231-14.fc25.x86_64

Comment 16 cornel panceac 2017-05-10 15:18 UTC
Created attachment 1277643 [details]
groups json file

Comment 17 Jaroslav Mracek 2017-05-16 07:58:10 UTC
Thanks a lot for information. I created a patch (https://github.com/rpm-software-management/dnf/pull/812) that should help. Please can you try it if it really solve your problem? The rpm of dnf with patch can be downloaded from copr repo (Fedora 25) - "dnf copr enable rpmsoftwaremanagement/rpm-gitoverlay-1494920340.375112"

Comment 18 cornel panceac 2017-05-17 16:10:45 UTC
hi
it seems to solve my problem. no longer errors and conflicts. it just asks me if i want to continue :)
thank you very much.will this make it to the official repo?
and
how can i disable now the two coprs?

Comment 19 cornel panceac 2017-05-17 16:15 UTC
Created attachment 1279757 [details]
mate group removal packages list

Actually, maybe you wanna take a look at the packages that will be removed. It looks like some are some surprising members of the list: wine, NetworkManager*, etc

Comment 20 Jaroslav Mracek 2017-05-17 16:39:31 UTC
To disable or remove repos:
"dnf copr disable <argument that was used to enable>"

To delete:
In /etc/yum.repos.d/ delete .repo file that correspond to copr repo

Comment 21 Jaroslav Mracek 2017-05-17 16:46:36 UTC
The patch will be available after merge (approve) in about 2 to 3 weeks for rawhide and Fedora 26. Or it will be available in 48 hours after merge from our rpmsoftwaremanagement/dnf-nightly copr repo for Fedora 24+.

Comment 22 Fedora Update System 2017-07-24 14:50:37 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 23 Fedora Update System 2017-07-25 04:26:34 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 24 Fedora Update System 2017-07-25 16:55:22 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.